Page MenuHomePhabricator

Change 'messages' to 'notices' everywhere (where 'messages' referred to a section name)
Closed, ResolvedPublic

Description

As mentioned in T115845: Notification panel: Clearer use of notification badges the notification badge (mw-echo-notifications-badge) should display "Your notices" in the tooltip not "Your messages".

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 6 2016, 7:59 PM

Change 297913 had a related patch set uploaded (by Mooeypoo):
Change 'messages' to 'notices' throughout the interface

https://gerrit.wikimedia.org/r/297913

This involves more than just the tooltip - the change is for the entire interface, changing 'message' to 'notice' in context of the popup.

At some point, we should do the same with the back-end and supporting code, but in order to do that, we will need to also change the API section names as well. See T139682: Change 'messages' to 'notices' internally (method names and such)

Mattflaschen-WMF renamed this task from Change tooltip 'Your messages' to 'Your notices' to Change 'messages' to 'notices' everywhere (where 'messages' referred to a section name).Jul 7 2016, 11:02 PM

Change 297913 merged by jenkins-bot:
Change 'messages' to 'notices' throughout the interface

https://gerrit.wikimedia.org/r/297913

Change 297919 had a related patch set uploaded (by Dereckson):
Change 'messages' to 'notices' throughout the interface

https://gerrit.wikimedia.org/r/297919

Change 297932 had a related patch set uploaded (by Mooeypoo):
Followup Ib7f4dc4ea: Bring back message tooltip with 'notice' text

https://gerrit.wikimedia.org/r/297932

Change 297932 merged by jenkins-bot:
Followup Ib7f4dc4ea: Bring back message tooltip with 'notice' text

https://gerrit.wikimedia.org/r/297932

Change 297933 had a related patch set uploaded (by Mooeypoo):
Load notification badges with the new 'notice' instead of 'message'

https://gerrit.wikimedia.org/r/297933

Change 297934 had a related patch set uploaded (by Mattflaschen):
Followup Ib7f4dc4ea: Bring back message tooltip with 'notice' text

https://gerrit.wikimedia.org/r/297934

Change 297919 merged by jenkins-bot:
Change 'messages' to 'notices' throughout the interface

https://gerrit.wikimedia.org/r/297919

Change 297934 merged by jenkins-bot:
Followup Ib7f4dc4ea: Bring back message tooltip with 'notice' text

https://gerrit.wikimedia.org/r/297934

Checked the labeling for 'Notice' in 1.28.0-wmf.10.

  • the tooltip refers to 'your notices' correctly

  • the flyout panel displays Notices:

In the above screenshot "You have new messages" warning, in fact, refers to notifications that currently classified as Alerts. Seems a bit odd to have the three terms close in meaning - notifications, notices, messages - displayed in close proximity.

The following instances of 'message' have been changed to 'notice'

  • the tooltip (see the screenshot in the above comment)
  • 'notice' is used instead of 'message' in the flyout

Trizek-WMF changed the status of subtask T135114: Review "tray" icon from Open to Stalled.Jul 20 2016, 2:49 PM
jmatazzoni closed this task as Resolved.Jul 20 2016, 8:56 PM
Trizek-WMF reopened this task as Open.Jul 21 2016, 9:39 AM
Trizek-WMF added a subscriber: Trizek-WMF.

Apparently, the tooltip has not been updated (ping @Etonkovidova to check):

mw.org screenshot

title="(tooltip-pt-notifications-message)(word-separator)(brackets: (accesskey-pt-notifications-message))(word-separator)(brackets)"

the right message is tooltip-pt-notifications-notice, translations are available and are currently checked on T140645: Review if "notices" are not translated by "messages" for Notifications fly-outs on TranslateWiki.

Etonkovidova added a comment.EditedJul 21 2016, 6:22 PM

Checked enwiki and mediawiki (and was checking testwiki and enwiki after deployment) - the tooltip "Your notices" is in place with 1.28.0-wmf.11 (a449907).

Related patch (in process of merging): https://gerrit.wikimedia.org/r/#/c/300322/

The UI was correct before, but the message key was a bit confusing.

jmatazzoni closed this task as Resolved.Jul 22 2016, 5:30 PM

Change 297933 abandoned by Mooeypoo:
[wip] Load notification badges with the new 'notice' instead of 'message'

https://gerrit.wikimedia.org/r/297933